#ifndef _WINCOMM_H_
#define _WINCOMM_H_

#include <iostream>
#include <tchar.h>
// TODO: reference additional headers your program requires here
#include <wtypes.h>
#include <stdio.h>
#include <string.h>
#include <windows.h>
#include "commdef.h"
#include "interface.h"


class ARCLIB_API WinCommInterface : public ArcInterface
{
	friend class CArclib;
public:		
	WinCommInterface();	
	~WinCommInterface();
	bool init(const char nPortNum, char nBaudRate = 7, char nStopBit = 0);
	int send(const char *outBuf, int outLen);	
	int recv(char *inBuf, int inLen);		
	int syncSend(const char *outBuf, int outLen, char *inBuf, int inLen);
	void setTimeOut(int nSec);
	int	getMTU();
	void *getDeviceHandle();

private:
	HANDLE	m_hComm;
	HANDLE	m_hSyncComm;
	PSECURITY_DESCRIPTOR	pSD;
	int	nTimeOut;	// in seconds
};

#endif